import { HangupReasonJS, LegStatusJS, CallDisconnectReasonJS, CancelReasonJS, VoiceChannelTypeJS } from '../kotlin/JsUnions';
/**
 * Hangup reasons for a call
 * @enum
 */
export declare const HangupReason: {
    readonly REMOTE_HANGUP: "REMOTE_HANGUP";
    readonly REMOTE_REJECT: "REMOTE_REJECT";
    readonly REMOTE_NO_ANSWER_TIMEOUT: "REMOTE_NO_ANSWER_TIMEOUT";
    readonly LOCAL_HANGUP: "LOCAL_HANGUP";
    readonly MEDIA_TIMEOUT: "MEDIA_TIMEOUT";
};
export type HangupReason = HangupReasonJS;
/**
 * Leg status for a call
 * @enum
 */
export declare const LegStatus: {
    readonly RINGING: "RINGING";
    readonly ANSWERED: "ANSWERED";
    readonly COMPLETED: "COMPLETED";
};
export type LegStatus = LegStatusJS;
/**
 * Call disconnect reasons
 * @enum
 */
export declare const CallDisconnectReason: {
    readonly networkChange: "networkChange";
};
export type CallDisconnectReason = CallDisconnectReasonJS;
/**
 * Call Invite cancel reasons
 * @enum
 */
export declare const CancelReason: {
    readonly RemoteCancel: "RemoteCancel";
    readonly RejectedElsewhere: "RejectedElsewhere";
    readonly RemoteTimeout: "RemoteTimeout";
    readonly AnsweredElsewhere: "AnsweredElsewhere";
};
export type CancelReason = CancelReasonJS;
/**
 * Voice Channel Types
 * @enum
 */
export declare const VoiceChannelType: {
    readonly app: "app";
    readonly phone: "phone";
    readonly sip: "sip";
    readonly websocket: "websocket";
};
export type VoiceChannelType = VoiceChannelTypeJS;
